Module org.xerial.sqlitejdbc
Package org.sqlite

## Class BusyHandler

- java.lang.Object
- - org.sqlite.BusyHandler

    public abstract class BusyHandler
    extends Object

https://www.sqlite.org/c3ref/busy_handler.html

### Constructor Summary

Constructors
`BusyHandler()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract int` `callback​(int nbPrevInvok)` https://www.sqlite.org/c3ref/busy_handler.html
`static void` `clearHandler​(Connection conn)` Clears any busy handler registered with the connection.
`static void` `setHandler​(Connection conn, BusyHandler busyHandler)` Sets a busy handler for the connection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BusyHandler

    public BusyHandler()

### Method Detail

#### setHandler

    public static final void setHandler​(Connection conn,
                                        BusyHandler busyHandler)
                                 throws SQLException

Sets a busy handler for the connection.

Parameters:
  `conn` - the SQLite connection
  `busyHandler` - the busyHandler
Throws:
  `SQLException`

#### clearHandler

    public static final void clearHandler​(Connection conn)
                                   throws SQLException

Clears any busy handler registered with the connection.

Parameters:
  `conn` - the SQLite connection
Throws:
  `SQLException`

#### callback

    protected abstract int callback​(int nbPrevInvok)
                             throws SQLException

https://www.sqlite.org/c3ref/busy_handler.html

Parameters:
  `nbPrevInvok` - number of times that the busy handler has been invoked previously for the same locking event
Returns:
  If the busy callback returns 0, then no additional attempts are made to access the database and SQLITE_BUSY is returned to the application. If the callback returns non-zero, then another attempt is made to access the database and the cycle repeats.
Throws:
  `SQLException`